<template>
  <view class="u-page">
    <z-paging
      ref="paging"
      inside-more
      loading-more-no-more-text="咱也是有底线的！"
      :auto-show-back-to-top="true"
      v-model="dataList"
      @query="queryList"
    >
     <template #top>
        <navBarSearch :searchWord="keyWord" :navName="navName" @changeWord="changeWord" :type="'video'"></navBarSearch>
      <view class="databox" >
       <view class="cell" v-if="isArticle">
        <view class="num">{{ numInfo.article_collect_num }}</view>
        <view class="name">文章</view>
      </view>
      <view class="cell" v-else>
        <view class="num">{{ numInfo.video_collect_num }}</view>
        <view class="name">视频</view>
      </view>
      <view class="cell" v-if="isArticle">
        <view class="num">{{numInfo.article_read_num }}</view>
        <view class="name">阅读量</view>
      </view>
      <view class="cell" v-else>
        <view class="num">{{numInfo.video_read_num}}</view>
        <view class="name">阅读量</view>
      </view>
    </view>
    <view class="bar"></view>
        <!-- <view class="detail" v-if="isSearch">
          <view class="desc" v-if="isArticle">检索到：<text class="red">{{searchInfo.search_article_num}}篇文章</text></view>
          <view class="desc" v-else>检索到：<text class="red">{{searchInfo.search_video_num}}个视频</text></view>
          <view class="desc" v-if="keyWord">检索词：<text class="red">{{ keyWord }}</text></view>
        </view> -->
        <view class="filterbox">
           <!-- <view class="type" @click="swicthType">{{!isArticle?'文章':'视频'}}<up--image :src="switchImg"  width="31rpx" height="31rpx"></up--image></view> -->
           <up-dropdown class="u-dropdown" ref="uDropdownRef">
            <up-dropdown-item
              v-model="order.push_date"
              title="发布时间"
			        @change="change"
              :options="options"
            ></up-dropdown-item>
			<up-dropdown-item
			  v-model="order.read_num"
			   title="阅读量"
			    @change="change"
			  :options="options"
			></up-dropdown-item>
          </up-dropdown>
		 
        </view>
      </template> 
      <view class="item" v-for="(item, index) in dataList" :key="index" @click="isArticle?goDetail(item.article_id):goDetail(item.video_id)">
        <view class="title ellipsis">{{isArticle?item.article_title:item.video_title }}</view>
        <view class="tagsbox">
              <view class="tag" v-for="tag in item.author" :key="tag.author_id">{{ tag.doctor_name }}</view>
        </view>
        <view class="deal">
          <view class="left">
            <view class="eyebox">
              <up-icon name="eye" color="#6B7280" size="28rpx"></up-icon>
              <view class="num">{{item.read_num }}</view>
            </view>
            <view class="collect">
              <up-icon name="heart" color="#6B7280" size="28rpx"></up-icon>
              <view class="num">{{item.collect_num }}</view>
            </view>
          </view>
          <view class="time">
            <up-icon name="clock" color="#6B7280" size="28rpx"></up-icon>
            <view class="num">{{formatdate(item.push_date) }}</view>
          </view>
        </view>
		</view>
    </z-paging>
  </view>
</template>

<script setup>
import { ref, reactive } from "vue";
import navBarSearch from "@/components/navBarSearch/navBarSearch.vue";
import list from "@/uni_modules/z-paging/components/z-paging/z-paging";
import api from "@/api/api";
import navTo  from "@/utils/navTo.js";
import { onLoad } from "@dcloudio/uni-app";
import dayjs from "dayjs";
import switchImg from "@/static/switch.png";
const paging = ref(null);
const uDropdownRef=ref(null);
const dataList = ref([]);
const total = ref(0);
const keyWord = ref("");

const isArticle=ref(false);
const hospital_id=ref('');
const hospital_name=ref('');
const doctor_id=ref('');
const doctor_name=ref('');
const numInfo=reactive({});
const searchInfo=reactive({})
const navName=ref('视频临床病例库')
const options= ref([
  {
    label: "正序",
    value: 'asc',
  },
  {
    label: "倒序",
    value: 'desc',
  },
]);
const isSearch=ref(false);
const order=reactive({
	  read_num:'',
	  push_date:''
})

const  changeWord=(value)=>{
  keyWord.value=value;
  isSearch.value=true;
  paging.value.reload()

}
onLoad((options) => {
  if(options.keyWord){
    keyWord.value = options.keyWord;
  };
  if(options.order=='new'){
	  order.push_date='asc'
  };
  if(options.order=='read'){
  	  order.read_num='desc'
  };
  if(options.order=='video'){
    isArticle.value=false;
   }
   getStatic();
  if(options.doctor_id){
    doctor_id.value=options.doctor_id;
    doctor_name.value=options.doctor_name
    navName.value= doctor_name.value+'临床病例库'
    getStaticDoctor(doctor_id.value)
  }
  if(options.hospital_id){
    hospital_id.value=options.hospital_id;
    hospital_name.value=options.hospital_name;
    navName.value= hospital_name.value+'临床病例库'
    getStaticDoctor(hospital_id.value)

  }
});
const change=(e)=>{
  paging.value.reload();
}
const formatdate=(date)=>{
  return dayjs(date).format('YYYY-MM-DD')
}
const goDetail=(id)=>{
   console.log(11111)
  console.log(id)
  let type=isArticle.value?'article':'video'
  navTo({
    url: `/pages/detail/detail?id=${id}&type=${type}`
  })
}
  const getStatic=()=>{
    api.getHomeStatics().then((res) => {
      let result=res.data.data;
       Object.assign(numInfo,result);
    })
}
const searchArticle =(params) => {
  let searchForm={
      keyword: keyWord.value,
      hospital_id:hospital_id.value,
      doctor_id:doctor_id.value
    }
    if(isSearch.value){
      searchForm.is_need_num=1;
    }
	if(!order.read_num){
		delete order.read_num
	}
	if(!order.push_date){
		   delete order.push_date
	 }
  if(order.read_num || order.push_date){
     searchForm.order=order
  }
  api.searchArticle({
	    ...searchForm,
      ...params
  }).then((res)=>{
     paging.value.complete(res.data.data.data);
     total.value=res.data.data.total;
     searchInfo.search_video_num=res.data.data.search_video_num;
    searchInfo.search_article_num=res.data.data.search_article_num;
  }).catch(err=>{
    paging.value.complete(false);
 })
}

const searchVideo = async(params) => {
   let searchForm={
      keyword: keyWord.value,
      hospital_id:hospital_id.value,
      doctor_id:doctor_id.value
    }
     if(isSearch.value){
      searchForm.is_need_num=1;
    }
	if(!order.read_num){
		delete order.read_num
	}
	if(!order.push_date){
		   delete order.push_date
	 }
  if(order.read_num || order.push_date){
     searchForm.order=order
  }
  api.searchVideo({
    ...searchForm,
    ...params
  }).then((res)=>{
     paging.value.complete(res.data.data.data);
     total.value=res.data.data.total;
      searchInfo.search_video_num=res.data.data.search_video_num;
    searchInfo.search_article_num=res.data.data.search_article_num;
  }).catch(err=>{
    paging.value.complete(false);
 })
}

const queryList = (pageNo, pageSize) => {
  console.log(666666);
  const params = {
    page: pageNo,
    page_size: pageSize,
  };
 isArticle.value?searchArticle(params):searchVideo(params)
};
</script>

<style lang="scss" scoped>
.bar {
  width: 100%;
  background: #f9fafb;
  height: 20rpx;
}

.databox {
  height: 162rpx;
  background: #ffffff;
  display: flex;
  margin-bottom: 20rpx;
  // padding: 0 30rpx;
  justify-content: space-between;
  .cell {
    flex: 1;
    padding: 35rpx 0;

    text-align: center;

    .num {
      font-size: 38rpx;
      color: #3cc7c0;
    }
    .name {
      margin-top: 18rpx;
      font-size: 28rpx;
      color: #4b5563;
    }
  }
}
.filterbox{
	display: flex;
	height:128rpx;
	align-items: center;
   position: relative;
     border-bottom: 2rpx solid #f3f4f6;
    :deep(.u-dropdown__menu__item__text){
    font-size: 14px!important;
  }
  .type{
     color: #606266;
    font-size:14px;
    position: absolute;
    left:30rpx;
	top:24rpx;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #F3F4F6;
    border-radius: 15rpx;
    height: 74rpx;
    padding:0 25rpx;
    z-index:2;
  }
}
.u-page {
  :deep(.u-flex) {
    display: flex;
    flex-direction:row;
	overflow: hidden;

  }
  :deep(.u-dropdown__menu){
	 	
    background: #fff;
    z-index:1;
    margin-left: 30rpx;

  }
  :deep(.u-dropdown__menu__item){
	 
        height:74rpx;
        padding:0 20rpx;
        background: #F3F4F6;
        border-radius: 15rpx;
	    flex:none;
		margin-left: 30rpx;
     
  }
  .deal {
    margin-top: 20rpx;
    display: flex;
    color: #6b7280;
    font-size: 24rpx;
    justify-content: space-between;
    .left {
      display: flex;
      align-items: center;
    }
    .collect {
      display: flex;
      align-items: center;
    }
    .eyebox {
      width: 160rpx;
      display: flex;
      align-items: center;
    }
    .time {
      display: flex;
      align-items: center;
    }
    .num {
      margin-left: 8rpx;
    }
  }
  .item {
    border-bottom: 1rpx solid #f3f4f6;
    padding: 30rpx;
    .title {
      font-size: 30rpx;
      color: #111827;
      line-height: 46rpx;
    }
  }
  .tagsbox {
    margin-top: 20rpx;
    display: flex;
    .tag {
      padding: 0 10rpx;
      margin-right: 16rpx;
      height: 46rpx;
      line-height: 46rpx;
      text-align: center;
      background: rgba(60, 199, 192, 0.1);
      border-radius: 8rpx;
      font-weight: 400;
      font-size: 24rpx;
      color: #3cc7c0;
    }
  }
}
.detail {
  background: #f9f9f9;
  padding: 12rpx 30rpx;
  .desc {
    font-size: 26rpx;
    color: #4b5563;
    line-height: 40rpx;
  }
  .red{
     color: #FF0000;
  }
}
</style>